/*=======================================*/
/*========== Max-width: 1440px ==========*/
/*=======================================*/

@media screen and (max-width: 1440px) {
    .hero__inner h1 {
        width: 100%;
    }

    .projects__grid {
        grid-template-columns: repeat(3, 1fr);
    }
}

/*=======================================*/
/*========== Max-width: 1200px ==========*/
/*=======================================*/

@media screen and (max-width: 1200px) {
    .about__me--right {
        grid-area: 1 / 1 / 2 / 13;
    }

    .about__me--left {
        grid-area: 2 / 1 / 3 / 13;
    }

    .about__me--left img {
        width: 20rem;
    }

    .about__me--inner {
        gap: 5rem 0;
    }

    main.full {
        align-items: flex-start;
    }

    .about__me {
        padding: 3rem 0 5rem 0;
    }

}

/*=======================================*/
/*========== Max-width: 1024px ==========*/
/*=======================================*/

@media screen and (max-width: 1024px) {
    .hero__inner h1, .project__inner--right .project__inner--item p {
        width: 100%;
    }

    .legals__block {
        width: 100%;
    }

    .projects__grid {
        grid-template-columns: repeat(2, 1fr);
    }

    .project__inner {
        gap: 4rem 0;
    }

    .project__inner--left {
        grid-area: 1 / 1 / 2 / 13;
        position: relative;
        top: 0;
    }

    .project__inner--right {
        grid-area: 2 / 1 / 3 / 13;
    }
}

/*=======================================*/
/*========== Max-width: 768px ==========*/
/*=======================================*/

@media screen and (max-width: 768px) {
    .projects__grid {
        grid-template-columns: repeat(1, 1fr);
    }

    .navbar__left .time {
        display: none;
    }

    .footer__inner {
        flex-direction: column;
        row-gap: 2rem;
    }

    .footer__inner ul, .footer__inner div {
        flex-direction: column;
    }

    .navbar__links {
        display: none;
    }

    .burger__menu {
        width: 2rem;
        height: 2rem;
        background: var(--clr-card-background);
        cursor: pointer;
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
        gap: 0.25rem;
        padding: 0;
        border-radius: 40rem;
        z-index: 9999;
    }

    .burger__line {
        width: 1rem;
        height: 0.063rem;
        background-color: var(--clr-white);
        transform-origin: center;
        transition: .2s all;
    }

    .burger__menu.active .burger__line:nth-child(1) {
        transform: rotate(45deg) translate(1.75px, 1.75px);
        transition: .2s all;
    }

    .burger__menu.active .burger__line:nth-child(2) {
        transform: rotate(-45deg) translate(1.75px, -1.75px);
        transition: .2s all;
    }

    .menu__overlay {
        position: fixed;
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
        background: var(--clr-black);
        backdrop-filter: blur(20px);
        z-index: 999;
        opacity: 0;
        visibility: hidden;
        display: flex;
        padding: 10rem 1.5rem 1.5rem 1.5rem;
        transform: translateY(-100%);
        transition: opacity 0.3s ease, visibility 0.3s ease, transform 0.3s ease;
    }

    .menu__overlay.active {
        opacity: 1;
        visibility: visible;
        transform: translateY(0);
    }

    .menu__content {
        display: flex;
        flex-direction: column;
        justify-content: space-between;
    }

    .menu__overlay .menu__list {
        display: flex;
        flex-direction: column;
        gap: 1.5rem;
    }

    .menu__overlay .menu__list a {
        font-family: var(--helveticanow-regular);
        font-weight: 400;
        font-size: 2rem;
        color: var(--clr-white);
    }

    .menu__mail {
        font-family: var(--helveticanow-regular);
        font-weight: 400;
        font-size: 1rem;
        color: var(--clr-white);
        transition: all 0.25s ease-in-out;
        position: relative;
        width: fit-content;
    }

    .menu__mail::after {
        content: "";
        position: absolute;
        width: 100%;
        transform: scaleX(0);
        height: 1px;
        bottom: -2px;
        left: 0;
        background-color: var(--clr-white);
        transform-origin: bottom right;
        transition: transform 0.3s ease-out;
    }

    .menu__mail:hover::after {
        transform: scaleX(1);
        transform-origin: bottom left;
    }

    .container {
        padding: 0 1.5rem;
    }

    .navbar {
        padding: 1.5rem 1.5rem;
    }

    .about__inner--item:nth-child(2) div {
        display: flex;
        flex-direction: column;
        gap: 0.5rem;
    }
}